ipc_quorum.h File Reference
`#include <corosync/corotypes.h>`
`#include <corosync/mar_gen.h>`
Include dependency graph for ipc_quorum.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | mar_quorum_ring_id_t
struct | req_lib_quorum_trackstart
| The req_lib_quorum_trackstart struct. More...
struct | res_lib_quorum_getquorate
| The res_lib_quorum_getquorate struct. More...
struct | res_lib_quorum_notification
| The res_lib_quorum_notification struct. More...
struct | res_lib_quorum_v1_quorum_notification
struct | res_lib_quorum_v1_nodelist_notification
struct | res_lib_quorum_gettype
| The res_lib_quorum_gettype struct. More...
struct | req_lib_quorum_model_gettype
struct | res_lib_quorum_model_gettype

## Enumerations

enum | req_quorum_types { MESSAGE_REQ_QUORUM_GETQUORATE = 0 , MESSAGE_REQ_QUORUM_TRACKSTART , MESSAGE_REQ_QUORUM_TRACKSTOP , MESSAGE_REQ_QUORUM_GETTYPE , MESSAGE_REQ_QUORUM_MODEL_GETTYPE }
| The req_quorum_types enum. More...
enum | res_quorum_types { MESSAGE_RES_QUORUM_GETQUORATE = 0 , MESSAGE_RES_QUORUM_TRACKSTART , MESSAGE_RES_QUORUM_TRACKSTOP , MESSAGE_RES_QUORUM_NOTIFICATION , MESSAGE_RES_QUORUM_GETTYPE , MESSAGE_RES_QUORUM_MODEL_GETTYPE , MESSAGE_RES_QUORUM_V1_QUORUM_NOTIFICATION , MESSAGE_RES_QUORUM_V1_NODELIST_NOTIFICATION }
| The res_quorum_types enum. More...
enum | lib_quorum_model { LIB_QUORUM_MODEL_V0 = 0 , LIB_QUORUM_MODEL_V1 = 1 }

## Enumeration Type Documentation

## lib_quorum_model

enum lib_quorum_model

Enumerator
LIB_QUORUM_MODEL_V0 |
LIB_QUORUM_MODEL_V1 |

Definition at line 68 of file ipc_quorum.h.

## req_quorum_types

enum req_quorum_types

The req_quorum_types enum.

Enumerator
MESSAGE_REQ_QUORUM_GETQUORATE |
MESSAGE_REQ_QUORUM_TRACKSTART |
MESSAGE_REQ_QUORUM_TRACKSTOP |
MESSAGE_REQ_QUORUM_GETTYPE |
MESSAGE_REQ_QUORUM_MODEL_GETTYPE |

Definition at line 43 of file ipc_quorum.h.

## res_quorum_types

enum res_quorum_types

The res_quorum_types enum.

Enumerator
MESSAGE_RES_QUORUM_GETQUORATE |
MESSAGE_RES_QUORUM_TRACKSTART |
MESSAGE_RES_QUORUM_TRACKSTOP |
MESSAGE_RES_QUORUM_NOTIFICATION |
MESSAGE_RES_QUORUM_GETTYPE |
MESSAGE_RES_QUORUM_MODEL_GETTYPE |
MESSAGE_RES_QUORUM_V1_QUORUM_NOTIFICATION |
MESSAGE_RES_QUORUM_V1_NODELIST_NOTIFICATION |

Definition at line 54 of file ipc_quorum.h.